List Dynamic roles for an user.
It is required a valid phoenix-token. Permission Level: None
POST /users/roles/dynamicroles
Operation id: RoleService_GetDynamicRolesForUser
Tags: RoleService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
token | string | No |
{
"type": "object",
"properties": {
"token": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
roles | array | No |
{
"type": "object",
"properties": {
"roles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"domain": {
"type": "string"
},
"scope": {
"type": "string"
},
"roleId": {
"type": "string"
},
"displayName": {
"type": "string"
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}